<?php
/*
Plugin Name: Translator
Version: 2.0.0-beta
Description: Plugin pour faciliter les traductions / Plugin to facilitate translations // THIS RELEASE DOESN'T WORKS WITH INTERNET EXPLORER !!
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=223
Author: grum@piwigo.org
Author URI: http://photos.grum.dnsaliascom/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@piwigo.com
    website  : http://photos.grum.dnsalias.com
    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY
  0.1.0-dev - 04/11/07 +
  1.0.0-beta- 11/05/07 +  first beta release
  1.0.1-beta- 12/05/07 -  for adviser going into config tab, error message was
                          displayed even if adviser did not try to do something ;
                          error message is now displayed only if adviser try to
                          save settings
                       -  adviser error message was not defined ;
                       -  when file is exported, update date/time stored in the
                          database ; this is needed to avoid incorrect analyze
                          of file changes
                       -  forgotten to instanciate Ajax object ; done into root class
  1.0.2-beta- 21/05/07 +  for translator mode, when export is made, keys with @bt@ tag
                          are not exported with enhanced hint habilities (because
                          hint bug the <input type="button"> objects)
                       -  bug correction for compare file keys function
                          (http://forum.phpwebgallery.net/viewtopic.php?pid=88590#p88590)
                       +  for compare file keys updates, possibility to check all
                          keys with one click ; possiblity to invert selection
                          (http://forum.phpwebgallery.net/viewtopic.php?pid=88584#p88584)
                       +  for compare file keys updates, possibility to create or
                          to delete keys
                          (http://forum.phpwebgallery.net/viewtopic.php?pid=88584#p88584)
                       +  when editing key, possibility to fold/unfold all key by one clic
                          (http://forum.phpwebgallery.net/viewtopic.php?pid=88591#p88591)
                       +  change translate.class.php methods by use of Google Translate AJAX API
                       -  bug correction : ignore 'local.lang.php' files
                          (http://forum.phpwebgallery.net/viewtopic.php?pid=88213#p88213)
                       +  some functionnalities are now forbidden for adviser
                             - purge
                             - backup&restore
                             - exporting final .lang.php files
                             - delete a language
                       - bug correction on edit keys page (better display)
  1.0.3-beta- 05/06/08 - bug correction about keys with special chars.
                         (http://forum.phpwebgallery.net/viewtopic.php?pid=89095#p89095)
                       - bug correction ; files were analyzed with a wrong date/time and
                         displayed with 0 differences
                         (http://forum.phpwebgallery.net/viewtopic.php?pid=89213#p89213)
  2.0.0-beta- 07/11/08 - migrate plugin for piwigo 2.0

:: TO DO


--------------------------------------------------------------------------------
*/

// pour faciliter le debug :o)
//ini_set('error_reporting', E_ALL);
//ini_set('display_errors', true);

if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $prefixeTable, $user, $lang;

define('TRANSLATOR_DIR' , basename(dirname(__FILE__)));
define('TRANSLATOR_PATH' , PHPWG_PLUGINS_PATH . TRANSLATOR_DIR . '/');

define('TRANSLATOR_VERSION' , '2.0.0-beta'); //don't forget to modify header's release number

date_default_timezone_set("UTC");


if(defined('IN_ADMIN'))
{
  include_once("translator_aim.class.inc.php");

  $obj=new Translator_AIM($prefixeTable, __FILE__);
  $obj->init_events();
  set_plugin_data($plugin['id'], $obj);
}
else
{
  include_once("translator_pip.class.inc.php");

  $obj=new Translator_PIP($prefixeTable, __FILE__);
  $obj->init_events();
  set_plugin_data($plugin['id'], $obj);
}


include_once("translator_test.class.inc.php");
$test=new Translator_test($prefixeTable, __FILE__);
$test->init_events();


?>
