<!-- admin_langs_add -->
{literal}
<script type="text/javascript">

  function lang_changed()
  {
    var slangs = document.getElementById('ilang_code');
    var iname = document.getElementById('iname');

    iname.value = slangs[slangs.selectedIndex].innerHTML;
  }

  function country_changed()
  {
    var scountry = document.getElementById('icountry_code');
    var iname = document.getElementById('icountry_name');

    iname.value = scountry[scountry.selectedIndex].innerHTML;
    icountry_name.value = scountry.value;
  }

</script>
{/literal}

<p class="g001_title">{$datas.TRANSLATOR_TITLE}</p>

<form method="post" action="" class="general">
  <fieldset>
    <legend>{"g001_lang_nfo"|@translate}</legend>
    <table class="formtable">
    {if isset($datas.edit_mode)}
      <tr>
        <td colspan=2>
          <i>{"g001_nbfile_using_lang"|@translate}&nbsp;:&nbsp;{$datas.edit_mode.NBFILE}</i>
        </td>
      </tr>
    {/if}
      <tr>
        <td>{"g001_lang"|@translate}</td>
        <td>
          <select id='ilang_code' name='f_lang_code' onchange='lang_changed();' {$datas.DISABLED}>
            {foreach from=$datas.langs_row key=langkey item=langs_row}
              <option value='{$langs_row.VALUE}' {$langs_row.SELECTED}>{$langs_row.TEXT}</option>
            {/foreach}
          </select>&nbsp;
          <input type='text' name='f_name' id='iname' value='{$datas.NAME}' size=25 maxlength=25>
        </td>
      </tr>

      <tr>
        <td>{"g001_country"|@translate}</td>
        <td>
          <select id='icountry_code' name='f_country_code' onchange='country_changed();' {$datas.DISABLED}>
            {foreach from=$datas.countries_row key=countrykey item=country_row}
              <option value='{$country_row.VALUE}' {$country_row.SELECTED}>{$country_row.TEXT}</option>
            {/foreach}
          </select>&nbsp;
          <input type='text' name='f_country' id='icountry_name' value='{$datas.COUNTRY}' size=25 maxlength=25>
        </td>
      </tr>

      <tr>
        <td>{"g001_direction"|@translate}</td>
        <td>
          <select id='idirection' name='f_direction'>
            {foreach from=$datas.direction_row key=directionkey item=direction_row}
              <option value='{$direction_row.VALUE}' {$direction_row.SELECTED}>{$direction_row.TEXT}</option>
            {/foreach}
          </select>
        </td>
      </tr>

      <tr>
        <td>{"g001_zero_plural"|@translate}</td>
        <td>
          <select id='izero_plural' name='f_zero_plural'>
            {foreach from=$datas.zero_plural_row key=pluralkey item=zero_plural_row}
              <option value='{$zero_plural_row.VALUE}' {$zero_plural_row.SELECTED}>{$zero_plural_row.TEXT}</option>
            {/foreach}
          </select>
        </td>
      </tr>

    </table>
  </fieldset>

  {if isset($datas.edit_mode) and is_array($datas.edit_mode)}
    <input type='hidden' name='f_country_code' value='{$datas.edit_mode.COUNTRY_CODE}'>
    <input type='hidden' name='f_lang_code' value='{$datas.edit_mode.LANG_CODE}'>
    <input type='hidden' name='f_charset' value='{$datas.edit_mode.CHARSET}'>
  {/if}
  <p><input type='submit' name='submit' value='{"g001_apply@bt@"|@translate}'>
  {if isset($datas.allow_delete) and $datas.allow_delete=="true"}
    <input type='submit' name='submit_delete' value='{"g001_delete@bt@"|@translate}'>
  {/if}
  </p>
</form>
